<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.pcloud.book.riddle.dao.impl.RiddleReplyDaoImpl" >
  <resultMap id="BaseResultMap" type="com.pcloud.book.riddle.entity.RiddleReply" >
    <id column="id" property="id" jdbcType="BIGINT" />
    <result column="content" property="content" jdbcType="VARCHAR" />
    <result column="type" property="type" jdbcType="VARCHAR" />
    <result column="create_time" property="createTime" jdbcType="TIMESTAMP" />
  </resultMap>

  <sql id="Base_Column_List" >
    id, content, type, create_time
  </sql>

  <select id="getReplyByType" parameterType="String" resultType="String">
    SELECT
	content
    FROM
        riddle_reply
    WHERE
        type = #{type}
  </select>

</mapper>